<< polyscale | FOSSEE_Signal_Processing_Toolbox | polyval >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > polystab

# polystab

Stabilize the polynomial transfer function.

### Syntax

    y = polystab(x)

### Parameters

x:

  real or complex valued vector

### Description

This function stabilizes the polynomial transfer function by replacing all roots outside the unit circle with their reflection inside the unit circle.

### Examples

    polystab([1,3,5])

Report an issue
<< polyscale | FOSSEE_Signal_Processing_Toolbox | polyval >>